## openstack-trove 20.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
netaddr>=0.7.18 # BSD
httplib2>=0.9.1 # MIT
lxml!=3.7.0,>=3.4.1 # BSD
passlib>=1.7.0 # BSD
python-heatclient>=1.10.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
jsonschema>=3.2.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=4.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=3.40.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
PyMySQL>=0.7.6 # MIT License
stevedore>=1.20.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
xmltodict>=0.10.1 # MIT
cryptography>=2.1.4  # BSD/Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
diskimage-builder!=1.6.0,!=1.7.0,!=1.7.1,>=1.1.2 # Apache-2.0
docker>=4.2.0 # Apache-2.0
psycopg2-binary>=2.6.2 # LGPL/ZPL
semantic-version>=2.7.0 # BSD
oslo.cache>=1.26.0 # Apache-2.0

# for trove network driver
Flask>=2.2.3 # BSD
pyroute2>=0.7.7;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
gunicorn>=20.1.0 # MIT

=== backup/requirements.txt ===
oslo.config!=4.3.0,!=4.4.0;python_version>='3.0'  # Apache-2.0
oslo.log;python_version>='3.0'  # Apache-2.0
oslo.utils!=3.39.1,!=3.40.0,!=3.40.1;python_version>='3.0'  # Apache-2.0
oslo.concurrency;python_version>='3.0'  # Apache-2.0
oslo.service!=1.28.1  # Apache-2.0
keystoneauth1  # Apache-2.0
python-swiftclient  # Apache-2.0
psycopg2-binary>=2.6.2 # LGPL/ZPL
cryptography>=2.1.4  # BSD/Apache-2.0

=== debian/changelog ===
openstack-trove (1:20.0.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 10 Oct 2023 13:46:15 +0000

openstack-trove (1:20.0.0-2) unstable; urgency=medium

  * Add missing namespaces when generating trove.conf.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2023 15:40:24 +0200

openstack-trove (1:20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:22:50 +0200

openstack-trove (1:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed use-getfullargspec.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 10:57:09 +0200

openstack-trove (1:19.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1047524).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 12:46:11 +0200

openstack-trove (1:19.0.0-3) unstable; urgency=medium

  * Add patches cherry-pick from Ubuntu:
    - use-getfullargspec.patch
    - use-realpath-function-to-find-my.cnf-in-debian.patch
  * Removed build-depends on nose (Closes: #1018429).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 11:35:49 +0200

openstack-trove (1:19.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:30:20 +0200

openstack-trove (1:19.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 14:48:46 +0100

openstack-trove (1:19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Removed depends on lsb-base.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 17:08:00 +0100

=== debian/control ===
Source: openstack-trove
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 iproute2,
 net-tools,
 python3-cassandra,
 python3-cinderclient,
 python3-coverage,
 python3-cryptography,
 python3-designateclient,
 python3-diskimage-builder,
 python3-docker,
 python3-eventlet,
 python3-flask (>= 2.2.3),
 python3-glanceclient,
 python3-gunicorn,
 python3-hacking,
 python3-heatclient,
 python3-httplib2,
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-mock,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-passlib,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-pexpect,
 python3-proboscis,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-pyroute2 (>= 0.7.7),
 python3-redis,
 python3-routes,
 python3-semantic-version,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-testtools,
 python3-troveclient,
 python3-webob,
 python3-webtest,
 python3-wsgi-intercept,
 python3-xmltodict,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/openstack-trove
Vcs-Git: https://salsa.debian.org/openstack-team/services/openstack-trove.git
Homepage: https://github.com/openstack/trove

Package: python3-trove
Architecture: all
Section: python
Depends:
 e2fsprogs,
 python3-cinderclient,
 python3-cryptography,
 python3-designateclient,
 python3-diskimage-builder,
 python3-docker,
 python3-eventlet,
 python3-flask (>= 2.2.3),
 python3-glanceclient,
 python3-gunicorn,
 python3-heatclient,
 python3-httplib2,
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-passlib,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pexpect,
 python3-pymysql,
 python3-pyroute2 (>= 0.7.7),
 python3-routes,
 python3-semantic-version,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-troveclient,
 python3-webob,
 python3-xmltodict,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Description: Database as a Service for OpenStack - Python lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python library.

Package: trove-api
Architecture: all
Depends:
 adduser,
 python3-openstackclient,
 q-text-as-data,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - API server
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove API server. The trove-api service provides a
 RESTful API that supports JSON and XML to provision and manage Trove
 instances.

Package: trove-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-trove (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - common files
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove common files.

Package: trove-conductor
Architecture: all
Depends:
 adduser,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - conductor
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove conductor.

Package: trove-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Database as a Service for OpenStack - doc
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove documentations.

Package: trove-guestagent
Architecture: all
Depends:
 adduser,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - guest agent
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove guest agent. The guestagent is a service that
 runs within the guest instance, responsible for managing and performing
 operations on the Database itself. The Guest Agent listens for RPC messages
 through the message bus and performs the requested operation.

Package: trove-taskmanager
Architecture: all
Depends:
 adduser,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - taskmanager
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove taskmanager. The trove-taskmanager service
 does the heavy lifting as far as provisioning instances, managing the
 lifecycle of instances, and performing operations on the Database instance.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/trove.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/trove-common.postinst
	rm -f debian/trove-common.config
	rm -f debian/trove-api.postinst
	rm -f debian/trove-api.config
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf debian/*.templates debian/po
	rm -rf build .stestr trove_test.sqlite *.egg-info doc/source/_static
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.config
	pkgos-merge-templates trove-api trove endpoint
	pkgos-merge-templates trove-common trove db rabbit ksat

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/trove-doc/usr/share/doc/trove-doc/html
	dh_sphinxdoc
endif

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	find $(CURDIR) -name trove_test.sqlite -delete
	pkgos-dh_auto_test --no-py2 --serial 'trove\.tests\.unittests\.(?!(.*backup\.test_backup_models\.BackupCreateTest\.test_create_backup_cluster_instance_operation_not_supported.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create_instance_not_active.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create_instance_not_found.*|.*mgmt\.test_datastores\.TestDatastoreVersion\.test_version_create.*|.*guestagent\.test_redis_manager\.RedisGuestAgentManagerTest.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_failed_due_to_pre_restore.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_failed_due_to_run_restore.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_success.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create.*|.*backup\.test_backup_models\.BackupDeleteTest\.test_delete.*))'
endif
	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing

	mkdir -p $(CURDIR)/debian/trove-common/usr/share/trove-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file=$(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf \
		--wrap-width 140 \
		--namespace trove.config \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace osprofiler \
		--namespace oslo.cache

	install -D -m 0664 $(CURDIR)/etc/trove/api-paste.ini $(CURDIR)/debian/trove-common/usr/share/trove-common/api-paste.ini

	mkdir -p $(CURDIR)/debian/trove-common/etc/trove/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/trove-common/etc/trove/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace trove
override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## openstack-trove 21.0.1

=== debian/changelog ===
openstack-trove (1:21.0.1-2) unstable; urgency=medium

  * Removed python3-mock from (build-)depends (Closes: #1066064).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 13:28:29 +0200

openstack-trove (1:21.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 12:22:09 +0200

openstack-trove (1:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2024 17:12:53 +0100

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
  python3-keystonemiddleware,
  python3-lxml,
  python3-migrate,
- python3-mock,
  python3-netaddr,
  python3-neutronclient,
  python3-novaclient,

## openstack-trove 22.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,19 +1,15 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
+alembic>=1.8.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+SQLAlchemy>=1.4.0 # MIT
 keystonemiddleware>=4.17.0 # Apache-2.0
 Routes>=2.3.1 # MIT
 WebOb>=1.7.1 # MIT
 PasteDeploy>=1.5.0 # MIT
 Paste>=2.0.2 # MIT
-sqlalchemy-migrate>=0.11.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 httplib2>=0.9.1 # MIT
 lxml!=3.7.0,>=3.4.1 # BSD
-passlib>=1.7.0 # BSD
 python-heatclient>=1.10.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-cinderclient>=3.3.0 # Apache-2.0

=== debian/changelog ===
openstack-trove (1:22.0.0-5~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 25 Jul 2025 11:12:30 +0000

openstack-trove (1:22.0.0-4) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 09:05:59 +0100

openstack-trove (1:22.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090456).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 12:12:22 +0100

openstack-trove (1:22.0.0-2) unstable; urgency=medium

  * Correctly delete the sqlite db between python 3.x runs (Closes: #1088759).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Dec 2024 15:18:57 +0100

openstack-trove (1:22.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 17:20:04 +0200

openstack-trove (1:22.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:28:59 +0200

openstack-trove (1:22.0.0~rc1-1) experimental; urgency=medium

  * New upstream release:
    - Works with SQLAlchemy 2.x (Closes: #1073009).
  * Fixed (build-)depends for this release.
  * Fixed namespaces list when generating trove.conf.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 11:06:47 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,11 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
+ alembic,
  bandit,
  iproute2,
  net-tools,
- python3-cassandra,
+ python3-alembic,
  python3-cinderclient,
  python3-coverage,
  python3-cryptography,
@@ -38,7 +39,6 @@
  python3-keystoneclient,
  python3-keystonemiddleware,
  python3-lxml,
- python3-migrate,
  python3-netaddr,
  python3-neutronclient,
  python3-novaclient,
@@ -59,17 +59,12 @@
  python3-oslo.utils,
  python3-oslotest,
  python3-osprofiler,
- python3-passlib,
  python3-paste,
  python3-pastedeploy,
- python3-pep8,
  python3-pexpect,
- python3-proboscis,
  python3-psycopg2,
- python3-pymongo,
  python3-pymysql,
  python3-pyroute2 (>= 0.7.7),
- python3-redis,
  python3-routes,
  python3-semantic-version,
  python3-sqlalchemy,
@@ -93,7 +88,9 @@
 Architecture: all
 Section: python
 Depends:
+ alembic,
  e2fsprogs,
+ python3-alembic,
  python3-cinderclient,
  python3-cryptography,
  python3-designateclient,
@@ -111,7 +108,6 @@
  python3-keystoneclient,
  python3-keystonemiddleware,
  python3-lxml,
- python3-migrate,
  python3-netaddr,
  python3-neutronclient,
  python3-novaclient,
@@ -129,7 +125,6 @@
  python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-osprofiler,
- python3-passlib,
  python3-paste,
  python3-pastedeploy,
  python3-pbr,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc,systemd
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -43,8 +43,18 @@
 		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
 	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	find $(CURDIR) -name trove_test.sqlite -delete
-	pkgos-dh_auto_test --no-py2 --serial 'trove\.tests\.unittests\.(?!(.*backup\.test_backup_models\.BackupCreateTest\.test_create_backup_cluster_instance_operation_not_supported.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create_instance_not_active.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create_instance_not_found.*|.*mgmt\.test_datastores\.TestDatastoreVersion\.test_version_create.*|.*guestagent\.test_redis_manager\.RedisGuestAgentManagerTest.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_failed_due_to_pre_restore.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_failed_due_to_run_restore.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_success.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create.*|.*backup\.test_backup_models\.BackupDeleteTest\.test_delete.*))'
+	# Because we need to delete the trove_test.sqlite db,
+	# between python3.x and python3.y runs, we can't use
+	# the pkgos-dh_auto_test helper.
+#	export BLACKLISTED_UNIT_TESTS='trove\.tests\.unittests\.(?!(.*backup\.test_backup_models\.BackupCreateTest\.test_create_backup_cluster_instance_operation_not_supported.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create_instance_not_active.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create_instance_not_found.*|.*mgmt\.test_datastores\.TestDatastoreVersion\.test_version_create.*|.*guestagent\.test_redis_manager\.RedisGuestAgentManagerTest.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_failed_due_to_pre_restore.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_failed_due_to_run_restore.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_success.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create.*|.*backup\.test_backup_models\.BackupDeleteTest\.test_delete.*))'
+	set -e ; set -x ; for pyvers in `py3versions -vr 2>/dev/null` ; do \
+		rm -rf .stestr ; \
+		find $(CURDIR) -name trove_test.sqlite -delete ; \
+		stestr init ; \
+		if ! PYTHON=python$$pyvers python$$pyvers -m stestr run --serial --subunit 'trove\.tests\.unittests.*' | subunit2pyunit ; then \
+			pip3 freeze ; \
+		fi ; \
+	done
 endif
 	dh_install
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
@@ -55,8 +65,11 @@
 		--output-file=$(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf \
 		--wrap-width 140 \
 		--namespace trove.config \
+		--namespace oslo.db \
 		--namespace oslo.messaging \
-		--namespace oslo.middleware \
+		--namespace oslo.middleware.cors \
+		--namespace oslo.middleware.healthcheck \
+		--namespace oslo.middleware.http_proxy_to_wsgi \
 		--namespace oslo.log \
 		--namespace oslo.policy \
 		--namespace osprofiler \

## openstack-trove 23.0.0~rc1

=== debian/changelog ===
openstack-trove (1:23.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 16:03:57 +0100

openstack-trove (1:23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add fix-some-unit-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 21:17:13 +0100

## openstack-trove 23.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 alembic>=1.8.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+eventlet>=0.27.0 # MIT
 SQLAlchemy>=1.4.0 # MIT
 keystonemiddleware>=4.17.0 # Apache-2.0
 Routes>=2.3.1 # MIT
@@ -8,9 +12,7 @@
 PasteDeploy>=1.5.0 # MIT
 Paste>=2.0.2 # MIT
 netaddr>=0.7.18 # BSD
-httplib2>=0.9.1 # MIT
 lxml!=3.7.0,>=3.4.1 # BSD
-python-heatclient>=1.10.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-cinderclient>=3.3.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
@@ -19,7 +21,6 @@
 python-neutronclient>=6.7.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-troveclient>=2.2.0 # Apache-2.0
-iso8601>=0.1.11 # MIT
 jsonschema>=3.2.0 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
 pexpect!=3.3,>=3.1 # ISC License
@@ -40,8 +41,7 @@
 oslo.db>=4.27.0 # Apache-2.0
 xmltodict>=0.10.1 # MIT
 cryptography>=2.1.4  # BSD/Apache-2.0
-oslo.policy>=3.6.0 # Apache-2.0
-diskimage-builder!=1.6.0,!=1.7.0,!=1.7.1,>=1.1.2 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
 docker>=4.2.0 # Apache-2.0
 psycopg2-binary>=2.6.2 # LGPL/ZPL
 semantic-version>=2.7.0 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
whereto>=0.3.0 # Apache-2.0

=== debian/changelog ===
openstack-trove (1:23.0.0-2) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:26:45 +0200

openstack-trove (1:23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:54:34 +0200

=== debian/control ===
--- 
+++ 
@@ -24,16 +24,12 @@
  python3-coverage,
  python3-cryptography,
  python3-designateclient,
- python3-diskimage-builder,
  python3-docker,
  python3-eventlet,
  python3-flask (>= 2.2.3),
  python3-glanceclient,
  python3-gunicorn,
  python3-hacking,
- python3-heatclient,
- python3-httplib2,
- python3-iso8601,
  python3-jinja2,
  python3-jsonschema,
  python3-keystoneclient,
@@ -52,7 +48,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.serialization,
  python3-oslo.service,
  python3-oslo.upgradecheck,
@@ -94,15 +90,11 @@
  python3-cinderclient,
  python3-cryptography,
  python3-designateclient,
- python3-diskimage-builder,
  python3-docker,
  python3-eventlet,
  python3-flask (>= 2.2.3),
  python3-glanceclient,
  python3-gunicorn,
- python3-heatclient,
- python3-httplib2,
- python3-iso8601,
  python3-jinja2,
  python3-jsonschema,
  python3-keystoneclient,
@@ -119,7 +111,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.serialization,
  python3-oslo.service,
  python3-oslo.upgradecheck,

=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,7 @@
 		stestr init ; \
 		if ! PYTHON=python$$pyvers python$$pyvers -m stestr run --serial --subunit 'trove\.tests\.unittests.*' | subunit2pyunit ; then \
 			pip3 freeze ; \
+			exit 1 ; \
 		fi ; \
 	done
 endif

## openstack-trove 24.0.0~rc1

=== debian/changelog ===
openstack-trove (1:24.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 09:12:10 +0000

openstack-trove (1:24.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 10:41:46 +0200

openstack-trove (1:24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Switched to debhelper-compat 11.
    - Removed --with systemd
  * Removed versions of (build-)depends, satisfied in Trixie.
  * Standards-Version: 4.7.2.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 09:54:04 +0200

## openstack-trove 24.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # you find any incorrect lower bounds, let us know or propose a fix.
 
 alembic>=1.8.0
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=6.0.0 # Apache-2.0
 eventlet>=0.27.0 # MIT
 SQLAlchemy>=1.4.0 # MIT
 keystonemiddleware>=4.17.0 # Apache-2.0
@@ -31,7 +31,7 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
-oslo.utils>=3.40.0 # Apache-2.0
+oslo.utils>=7.0.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 PyMySQL>=0.7.6 # MIT License
 stevedore>=1.20.0 # Apache-2.0

=== backup/requirements.txt ===
oslo.config!=4.3.0,!=4.4.0 # Apache-2.0
oslo.log # Apache-2.0
oslo.utils!=3.39.1,!=3.40.0,!=3.40.1 # Apache-2.0
oslo.concurrency # Apache-2.0
oslo.service!=1.28.1 # Apache-2.0
keystoneauth1 # Apache-2.0
python-swiftclient # Apache-2.0
psycopg2-binary>=2.6.2  # LGPL/ZPL
cryptography>=2.1.4 # BSD/Apache-2.0
semantic-version>=2.7.0 # BSD

=== doc/requirements.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # added in alphabetical order, however, some dependencies may need to
 # be installed in a specific order.
 openstackdocstheme>=2.2.1 # Apache-2.0
+os-api-ref>=1.4.0 # Apache-2.0
 reno>=3.1.0 # Apache-2.0
 sphinx>=2.0.0,!=2.1.0 # BSD
 sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
openstack-trove (1:24.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 22:32:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  po-debconf,
@@ -26,7 +26,7 @@
  python3-designateclient,
  python3-docker,
  python3-eventlet,
- python3-flask (>= 2.2.3),
+ python3-flask,
  python3-glanceclient,
  python3-gunicorn,
  python3-hacking,
@@ -46,9 +46,9 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy (>= 4.5.0),
+ python3-oslo.policy,
  python3-oslo.serialization,
  python3-oslo.service,
  python3-oslo.upgradecheck,
@@ -60,7 +60,7 @@
  python3-pexpect,
  python3-psycopg2,
  python3-pymysql,
- python3-pyroute2 (>= 0.7.7),
+ python3-pyroute2,
  python3-routes,
  python3-semantic-version,
  python3-sqlalchemy,
@@ -75,7 +75,7 @@
  python3-wsgi-intercept,
  python3-xmltodict,
  subunit,
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/openstack-trove
 Vcs-Git: https://salsa.debian.org/openstack-team/services/openstack-trove.git
 Homepage: https://github.com/openstack/trove
@@ -92,7 +92,7 @@
  python3-designateclient,
  python3-docker,
  python3-eventlet,
- python3-flask (>= 2.2.3),
+ python3-flask,
  python3-glanceclient,
  python3-gunicorn,
  python3-jinja2,
@@ -109,9 +109,9 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy (>= 4.5.0),
+ python3-oslo.policy,
  python3-oslo.serialization,
  python3-oslo.service,
  python3-oslo.upgradecheck,
@@ -122,7 +122,7 @@
  python3-pbr,
  python3-pexpect,
  python3-pymysql,
- python3-pyroute2 (>= 0.7.7),
+ python3-pyroute2,
  python3-routes,
  python3-semantic-version,
  python3-sqlalchemy,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/trove/tags .*/(\d[\d\.]+)\.tar\.gz
